package models

//go:generate goqueryset -in cashier.go
// gen:qs
type ErpCashier struct {
	Model

	Name        string `json:"name" gorm:"type:varchar(512)"`
	BankName    string `json:"bank_name" gorm:"type:varchar(512)"`
	BankAccount string `json:"bank_account" gorm:"type:varchar(512)"`
	State       uint32 `json:"state"` // 状态:1-使用 2-未用
	Remark      string `json:"remark" gorm:"type:varchar(512)"`
	Type        uint32 `json:"type"` //
	//Description string `json:"description"`
	// erp_cashier
}

// gen:qs
type ErpStoreCashier struct {
	Model

	ErpCashierId uint32 `json:"erp_cashier_id" gorm:"index"`
	Name         string `json:"name" gorm:"type:varchar(512)"`
	BankName     string `json:"bank_name" gorm:"type:varchar(512)"`
	BankAccount  string `json:"bank_account" gorm:"type:varchar(512)"`
	StoreId      uint32 `json:"store_id" gorm:"index"`
	StoreName    string `json:"store_name"`
	State        uint32 `json:"state"` // 状态:1-使用 2-未用
	Remark       string `json:"remark" gorm:"type:varchar(512)"`
	//  erp_store_cashier
}

type PayModeInfo struct {
	StoreCashierId uint32          `json:"store_cashier_id"`
	Amount         uint32          `json:"amount"`
	StoreCashier   ErpStoreCashier `json:"store_cashier" gorm:"-"`
}

type ErpCashierStoreListResp struct {
	Total     int               `json:"total"`
	PageNum   int               `json:"page_num"`
	PageSize  int               `json:"page_size"`
	List      []ErpStoreCashier `json:"list"`
	ExportUrl string            `json:"export_url"`
}

type ErpCashierListResp struct {
	Total    int          `json:"total"`
	PageNum  int          `json:"page_num"`
	PageSize int          `json:"page_size"`
	List     []ErpCashier `json:"list"`
}
