package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/commoditymanage"
	jwt "go-admin/pkg/jwtauth"
)

// 需认证的路由代码
func registerErpCommodityManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	//erp := v1.Group("/erp").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//}
}

// 无需认证的路由代码
func registerErpCommodityManageUnAuthRouter(v1 *gin.RouterGroup) {
	erp := v1.Group("/erp")
	{
		erp.POST("stock_batch_import", commoditymanage.ErpStockBatchImport)
		erp.POST("commodity_create", commoditymanage.ErpCommodityCreate)
		erp.POST("commodity_list", commoditymanage.ErpCommodityList)
		erp.POST("commodity_detail", commoditymanage.ErpCommodityDetail)
		erp.POST("commodity_del", commoditymanage.ErpCommodityDel)
		erp.POST("commodity_edit", commoditymanage.ErpCommodityEdit)
		erp.POST("commodity_batch_import", commoditymanage.ErpCommodityBatchImport)
		erp.POST("batch_import_view", commoditymanage.BatchImportView)

		erp.POST("/supplier_save", commoditymanage.ErpSupplierSave)
		erp.POST("/supplier_list", commoditymanage.ErpSupplierList)
		erp.POST("/supplier_detail", commoditymanage.ErpSupplierDetail)
		erp.POST("/supplier_del", commoditymanage.ErpSupplierDel)

		erp.POST("category_create", commoditymanage.ErpCategoryCreate)
		erp.POST("category_list", commoditymanage.ErpCategoryList)
		erp.POST("category_detail", commoditymanage.ErpCategoryDetail)
		erp.POST("category_del", commoditymanage.ErpCategoryDel)
		erp.POST("category_edit", commoditymanage.ErpCategoryEdit)

		erp.POST("cashier_store_create", commoditymanage.ErpCashierStoreCreate)
		erp.POST("cashier_store_bind", commoditymanage.ErpCashierStoreBind)
		erp.POST("cashier_store_del", commoditymanage.ErpCashierStoreDel)
		erp.POST("cashier_store_list", commoditymanage.ErpCashierStoreList)
		erp.POST("cashier_list", commoditymanage.ErpCashierList)
	}

}
